Bug 808546 - apr and apr-util versions are too far behind for modern Apache
apr and apr-util versions are too far behind for modern Apache
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: apr (Show other bugs)
5.7
All All
unspecified Severity high
: rc
: ---
Assigned To: Joe Orton
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 12:43 EDT by Mikhail T.
Modified: 2012-05-11 16:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 10:08:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail T. 2012-03-30 12:43:03 EDT
Description of problem:

While one does not expect RedHat to always offer the latest version of Apache's httpd itself, the components needed to build the server locally are just too far out of date to be reasonable. The latest releases of both Apache-2.2.x and Apache-2.4.x branches require apr-1.4.x

Version-Release number of selected component (if applicable):

Both apr and apu are 1.2.7 and need updating to 1.4.x

How reproducible:

Try building the latest Apache using the system-provided apr/apr-util

Steps to Reproduce:
1. ./configure --with-apr=/usr/bin/apr-1-config
2. gmake -j4
3.
  
Actual results:
Build failure.

Expected results:
Build succeeding.

Additional info:
The work-around, of course, is to use apr and apr-util bundled in the Apache source. But that's not a good practice and a resort for those, who are forced to use systems with poor support of third-party software... RedHat should do better.
Comment 1 Joe Orton 2012-05-10 10:08:58 EDT
Thanks for contacting us, and I'm sorry that you are disappointed!

It should not be too much of a surprise to find that older versions of RHEL do not provide a bleeding-edge build environment, though.

We always value feedback, but please note that Bugzilla is not a support tool.   If you have specific requests impacting your use of Red Hat Enterprise Linux, please contact your support representative.

Information about our production support process can be found at: http://www.redhat.com/support/process/
Comment 2 Mikhail T. 2012-05-11 16:27:55 EDT
I'm not expecting "bleeding edge". But shipping 1.2, when 1.4 has been available for several years is a bug, in my not so humble opinion. Had you offered version 1.3, it would've been acceptable.

But 1.2 was just long old ago...

Note You need to log in before you can comment on or make changes to this bug.